Send a payment request to a Clover device

Starts the payment flow for the transaction type specified in the request. Once the customer finishes their payment, a payment response is returned, and the device returns to the idle state.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
int64
1 to 999999999

The amount of the payment, in cents.

boolean
Defaults to true

If set to true (auth), the payment is automatically and immediately captured, but it may be adjustable until closeout runs at which time it will be settled/closed. If set to false (pre-auth), the payment will not be automatically captured, and a subsequent call to capture is required. Once captured, the payment will be settled/closed the next time closeout runs. NOTE: This value is ignored if the final field is set to true.

deviceOptions
object

Common (applies to payments and credits) device options.

string
length ≤ 32

A unique id assigned by the POS to identify this transaction. Critical for reconciliation and recovery.

string
length ≤ 12

An ID that can be passed to the merchant's gateway and ultimately appears in settlement records.

boolean
Defaults to false

If set to true, the payment will run as a closed, non-adjustable transaction (sale), the capture field will be ignored, and the tip will be set to the amount in the tipAmount field, or 0 if the tipAmount is not specified. If set to false then the capture flag is evaluated to determine if the payment will be automatically captured or if a subsequent call to capture is required. In addition, if set to false setting the tipAmount field will result in a validation error.

int64
0 to 999999999

The tax amount, in cents.

int64
0 to 999999999

The tip amount, in cents. NOTE: If the final field is set to false, setting this field will result in a validation error.

vaultedCard
object
Headers
string
required

Identifies the application, operating system, vendor, and/or version of the requesting user agent. Format: <AppName>/<Version> <Comment>

string
required

The Clover device to route the request to.

string
required

An identifier for the POS making the request.

integer
0 to 300

The amount of time, in seconds, that this operation will process before timing out. A value of 0 indicates no timeout will be enforced by Remote Pay, although protocol specified timeouts may still apply.

string
required

The idempotency key transmitted during the request, if any.

Responses

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json